
QGIS Application - Bug report #2831

No module names qgis.core

2010-06-22 05:18 AM - PvB -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 12891

Description

I have compiling QGIS 1.5 (trunk) on Ubuntu 10.04. However, when starting QGIS, I am getting the following error message:

Couldn't load [[PyQGIS]].

Python support will be disabled.

Traceback (most recent call last):

  File "", line 1, in 

[[ImportError]]: No module named qgis.core

Python version:

2.6.5 (r265:79063, Apr 16 2010, 14:15:55) 

[GCC 4.4.3]

Python path:

['/usr/local/share/qgis/python', '/home/paulo/.qgis//python', '/home/paulo/.qgis//python/plugins', '/usr/local/share/qgis/python/plugins',

'/usr/local/lib/python2.6/dist-packages/GDAL-1.7.2-py2.6-linux-x86_64.egg', '/usr/lib/python2.6', '/usr/lib/python2.6/plat-linux2',

'/usr/lib/python2.6/lib-tk', '/usr/lib/python2.6/lib-old', '/usr/lib/python2.6/lib-dynload', '/usr/lib/python2.6/dist-packages',

'/usr/lib/python2.6/dist-packages/PIL', '/usr/lib/python2.6/dist-packages/gst-0.10', '/usr/lib/pymodules/python2.6',

'/usr/lib/python2.6/dist-packages/gtk-2.0', '/usr/lib/pymodules/python2.6/gtk-2.0', '/usr/lib/python2.6/dist-packages/wx-2.8-gtk2-unicode',

'/usr/local/lib/python2.6/dist-packages']

QGIS 1.4 runs without showing this error

History

#1 - 2010-06-22 07:21 AM - Martin Dobias

Please paste what files are contained in this directory: /usr/local/share/qgis/python/qgis

When configuring the compilation, have you modified any of the CMake variables?

#2 - 2010-06-22 11:17 PM - PvB -

- Resolution set to invalid

- Status changed from Open to Closed

Hi, just tried to compile again, but now after first having removed QGIS 1.4 completely, including  /usr/local/share/qgis/python/qgis. Happily everything

seems to work like a charm now. Thanks and sorry for the false alarm
